{ config, lib, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./users
    ../../modules/system
  ];

  networking = {
    hostName = "intuos";
    wireless.iwd.enable = true;
    interfaces."wlan0".ipv4.addresses = [{
      address = "10.2.0.102";
      prefixLength = 8;
    }];
    defaultGateway = {
      address = "10.1.0.1";
      interface = "wlan0";
    };
  };

  system = {
    desktop.enable = true;
    stateVersion = "24.11";
  };
}
