{ config, lib, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./users
    ../../modules/system
  ];

  networking = {
    hostName = "kitty";
    interfaces."eno1".ipv4.addresses = [{
      address = "10.2.0.101";
      prefixLength = 8;
    }];
    defaultGateway = {
      address = "10.1.0.1";
      interface = "eno1";
    };
  };

  system = {
    desktop.enable = true;
    stateVersion = "24.11";
  };
}
